#pragma once

#include <windows.h>
#include "../pluginsdk/_plugins.h"

// Информация о плагине
#define PLUGIN_NAME "Stack Detector"
#define PLUGIN_VERSION 1

// ID меню
#define MENU_SCAN 1
#define MENU_AUTO 2
#define MENU_CLEAR 3
#define MENU_HELP 4

// Экспортируемые функции плагина
extern "C" __declspec(dllexport) bool pluginit(PLUG_INITSTRUCT* initStruct);
extern "C" __declspec(dllexport) void plugstop();
extern "C" __declspec(dllexport) void plugsetup(PLUG_SETUPSTRUCT* setupStruct);
extern "C" __declspec(dllexport) void CBBREAKPOINT(CBTYPE cbType, PLUG_CB_BREAKPOINT* info);
extern "C" __declspec(dllexport) void CBSTEPPED(CBTYPE cbType, PLUG_CB_STEPPED* info);
extern "C" __declspec(dllexport) void CBEXCEPTION(CBTYPE cbType, PLUG_CB_EXCEPTION* info);
extern "C" __declspec(dllexport) void CBMENUENTRY(CBTYPE cbType, PLUG_CB_MENUENTRY* info);
